# Uses of Interface
org.opensaml.xacml.ctx.AttributeType

Packages that use AttributeType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of AttributeType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return types with arguments of type AttributeType
Modifier and Type
Method
Description
`List<AttributeType>`
ActionType.`getAttributes()`
Returns the list of attributes in the subject.
`List<AttributeType>`
EnvironmentType.`getAttributes()`
Returns the list of attributes in the environment.
`List<AttributeType>`
ResourceType.`getAttributes()`
Returns the list of attributes in the resource.
`List<AttributeType>`
SubjectType.`getAttributes()`
Returns the list of attributes in the subject.

## Uses of AttributeType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement AttributeType
Modifier and Type
Class
Description
`class`
`AttributeTypeImpl`
Concrete implementation of `AttributeType`.
Fields in org.opensaml.xacml.ctx.impl with type parameters of type AttributeType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<AttributeType>`
ActionTypeImpl.`attributes`
Lists of the attributes in the subject.
`private XMLObjectChildrenList<AttributeType>`
EnvironmentTypeImpl.`attributes`
List of the values in the environment.
`private XMLObjectChildrenList<AttributeType>`
ResourceTypeImpl.`attributes`
Lists of the attributes in the subject.
`private XMLObjectChildrenList<AttributeType>`
SubjectTypeImpl.`attributes`
Lists of the attributes in the subject.
Methods in org.opensaml.xacml.ctx.impl that return AttributeType
Modifier and Type
Method
Description
`AttributeType`
AttributeTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`AttributeType`
AttributeTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.ctx.impl that return types with arguments of type AttributeType
Modifier and Type
Method
Description
`List<AttributeType>`
ActionTypeImpl.`getAttributes()`
Returns the list of attributes in the subject.
`List<AttributeType>`
EnvironmentTypeImpl.`getAttributes()`
Returns the list of attributes in the environment.
`List<AttributeType>`
ResourceTypeImpl.`getAttributes()`
Returns the list of attributes in the resource.
`List<AttributeType>`
SubjectTypeImpl.`getAttributes()`
Returns the list of attributes in the subject.